Subject: RE: Re: After update from 1.5.18 to 1.5.19, xemacs 21.4.13 can only run from bash
From: "Karr, David" <[email-masked]>
To: René Berber <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 27 Jan 2006 13:47:36 -0800

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of René Berber
> 
> Karr, David wrote:
> 
> > I have a desktop icon for running Xemacs 21.4.13.  This has been 
> > working fine.  Just today, I upgraded Cygwin from 1.5.18 to 
> 1.5.19.  
> > Now when I double-click the icon, it does nothing.  I then tried 
> > pasting the path to it into a DOS cmd prompt, and it still does 
> > nothing.  I then executed it directly from a bash prompt, and that 
> > worked.
> 
> And the command you are running is?

C:\cygwin\usr\local\bin\i686-pc-cygwin\xemacs-21.4.13.exe

> > I have a similar icon for 21.4.18, and that doesn't demonstrate the 
> > same problem, although 21.4.18 always runs a cmd window in the 
> > background, which 21.4.13 does not.
> 
> I think what affected your installation is a change of 
> version of Xemacs not the Cygwin dll.
> 
> This works for me with no problem:
> 
>   C:\cygwin\bin\run.exe xemacs

I did not upgrade Xemacs.  Executing the icon (which uses the path given above), or pasting that path into a cmd window, does nothing.  It just returns to the prompt and the window doesn't appear.  The upgrade of Cygwin did not affect the execution of 21.4.18 at all, only 21.4.13.  I'm not using 21.4.18 regularly yet for other reasons.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/